//ds1302.h

#ifndef DS1302_H_
#define DS1302_H_

// Pins der RTC an Port B
#define clk_ds1302  5   // Pin CLK an PB5
//#define rst_ds1302  3 // Pin RST / CE an PB3
#define rst_ds1302  0   // Pin RST / CE an PB0
//#define io_ds1302   4 // Pin IO an PB4
#define io_ds1302   1   // Pin IO an PB1

#define mon 1
#define tue 2
#define wed 3
#define thu 4
#define fri 5
#define sat 6
#define sun 7

// RTC-Register w: schreiben, r: lesen
#define sec_w     0x80   // 1000 0000
                         //  clock
                         //   A4-A0
                         //         write
#define sec_r     0x81   // 1000 0001
                         //         read
#define min_w     0x82
#define min_r     0x83
#define hour_w    0x84
#define hour_r    0x85
#define date_w    0x86
#define date_r    0x87
#define month_w   0x88
#define month_r   0x89
#define day_w     0x8a
#define day_r     0x8b
#define year_w    0x8c
#define year_r    0x8d
#define w_protect 0x8e
#define c_burst_w 0xbe   // 1011 1110
                         //  clock
                         //   A4-A0=burst
                         //         write
#define c_burst_r 0xbf   // 1011 1111
                         //         read

// Funktionsprototypen
//void RTC_set_time_date(void);  // RTC stellen (einmal pro Batterie)
void RTC_set_time_date(unsigned char date,  // 0x31 31.12.15 20:17:00
                       unsigned char month, // 0x12
                       unsigned char year,  // 0x15
                       unsigned char hour,  // 0x20
                       unsigned char min,   // 0x17
                       unsigned char sec);   // 0x00
void RTC_reset(void);		   // Portpins definiert setzen
void RTC_write(unsigned char); // RTC schreiben
unsigned char RTC_read(void);  // RTC lesen
void RTC_read_burst(void);     // RTC im Burst lesen
void RTC_write_byte(unsigned char,unsigned char); // RTC Byte schreiben
unsigned char RTC_read_byte(unsigned char);       // RTC Byte lesen
unsigned long RTC_get_fattime(void);  // RTC im Burst lesen und packen fuer SD-Karte
//void RTC_Tx_send(void);      // send RTC to USART
//unsigned char RTC_get_hours(void);              // RTC Stunden lesen

#endif
