//***************************************************************************
//  File........: int.c
//  Target(s)...: ATmega328p
//  Compiler....: AVR-GCC
//  Description.: AVR Interrupts 
//                Interrupt-Tabelle in io.h -> iom328p.h 
//                ISR-Tabelle auch erstellen mit 
// $ echo | avr-gcc -mmcu=atmega328 -g3 -xc - -include avr/io.h -E -dM | grep _vect\b | sort
//***************************************************************************

#include <avr/io.h>
#include "usart.h"
//#include "RTC.h"
//#include "alarm.h"
//#include "pgmspacehlp.h"
//#include "LCD_functions.h"
//#include "LCD_driver.h"
#include <avr/interrupt.h>
#include <avr/pgmspace.h>


/****************************************************************************
*	Function Name :	ISR_BADISR 
*	Returns : 		None
*	Parameters :	None
*	Purpose :		Interrupt service routine for unexpected Interrupt 
*
* vgl. WinAVR-20100110/doc/avr-libc/avr-libc-user-manual/group__avr__interrupts.html
* Catch-all interrupt vector
*****************************************************************************/
ISR(BADISR_vect)
{
	//char test; 
	
	USART_Tx_msg(PSTR("unerwart. Int.")); // get command character from UART receive register
	
}

